<form [formGroup]="form">
  <div class="normal_16px_22px_font font-weight-bold">Range of Recurrence</div>
  <div class="end-content" [class.mt-0]="frequency == 'ROSD'">
    <mat-radio-group formControlName="mode">
      <div class="d-flex flex-column">
<!--        <mat-radio-button class="ngx-radio-button" value="Never" *ngIf="frequency != 'ROSD'">-->
<!--          No end date-->
<!--        </mat-radio-button>-->
        <div class="d-flex align-items-center mt-17" *ngIf="frequency != 'ROSD'">
          <mat-radio-button class="ngx-radio-button" value="After">
            End After
          </mat-radio-button>
          <input
            [class.disabled]="form.value.mode !='After'"
            type="number"
            formControlName="after"
            aria-label="End after"
            class="end-after-input ngx-rrule"
            appOnlyNumber [isMin]="true" [isMax]="true" [min]="1" [max]="maxOccurence"
          />
          <span class="occurence-label" [class.disabled]="form.value.mode != 'After'">
          occurrences
          </span>
        </div>

        <div class="d-flex align-items-center mt-17">
          <mat-radio-button class="ngx-radio-button" value="On date">
            End by
          </mat-radio-button>
          <div class="end-by-date-wrapper d-flex align-items-center" [class.disabled]="form.value.mode != 'On date'">
            <input
              #endByDateInput
              class="end-by-date-input bg-transparent w-100"
              [value]="form.get('endAt').value | timeFormat: 'ddd, DD MMM YYYY'"
              readonly
              />
            <i class="fa fa-calendar" aria-hidden="true" style="z-index: -1;"></i>
            <app-calender-popup [anchor]="getEndByInput" [min]="minDate" [max]="maxDate" (valueChange)="dateSelect($event)"></app-calender-popup>
          </div>
        </div>
      </div>
    </mat-radio-group>
  </div>
</form>

